package com.tuoheng.admin.entity.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author chenyukun
 */
@Setter
@Getter
@Accessors(chain = true)
public class AiTaskResult implements Serializable {
    /**
     * 唯一性标识
      */
    @JsonProperty("msg_id")
    private String msgId;

    /**
     * 业务标识
     */
    @JsonProperty("biz_id")
    private String bizId;

    /**
     * 模型标识
     */
    @JsonProperty("mod_id")
    private String modId;

    /**
     * AI任务分析状态
     */
    private String status;

    /**
     * 数据类型
     */
    private String type;

    /**
     * AI任务错误信息
     */
    private String error;

    /**
     * AI任务分析进度
     */
    private String progressbar;

    /**
     * 结果
     */
    private List<AiAnalysisResult> results;
}
