package com.tuoheng.admin.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @User qiujinyang
 * @Description
 * @Date Created by 2022/7/28 9:51
 */
@Data
public class QuestionStatusRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "问题ID")
    @NotNull(message = "问题ID不能为空！")
    private Integer[] id;

    @ApiModelProperty(value = "问题类型")
    private String type;

    @ApiModelProperty(value = "问题状态：1：确认，2：忽略，3：未确认")
    @NotNull(message = "问题状态不能为空！")
    private Integer status;
}
