package com.tuoheng.admin.entity.request.airport;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 定点飞行请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-15
 */
@Data
public class PointFlightRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警id")
    private Integer warningId;

    @ApiModelProperty(value = "巡检任务id")
    private Integer missionId;

    @ApiModelProperty(value = "机场id")
    private Integer airportId;

    @ApiModelProperty(value = "机场名称")
    private String airportName;

    @ApiModelProperty(value = "指点高度")
    private String alt;

    @ApiModelProperty(value = "经度")
    private String lon;

    @ApiModelProperty(value = "纬度")
    private String lat;

}
