package com.tuoheng.admin.entity.request.emergency;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 查询应急列表请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-13
 */
@Data
public class QueryEmergencyListRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户Id",hidden = true)
    private Integer tenantId;

    @ApiModelProperty(value = "任务类型：0：巡检任务 1：应急任务")
    private Integer accidentTask;

    @ApiModelProperty(value = "任务状态：1任务待飞行 2任务飞行中 3任务执行失败 4任务飞行完成")
    private List<String> statusList;
}
