package com.tuoheng.admin.entity.request.goods;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 查询摄像头列表请求实体
 *
 * @author: qiujinyang
 */
@Data
public class QueryGoodsListByWarehouseIdRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户Id", hidden = true)
    private Integer tenantId;

    /**
     * 仓库ID
     */
    private Integer warehouseId;

    /**
     * 物资类型
     */
    private Integer goodsType;

    /**
     * 物资名称
     */
    private String goodsName;

}
