package com.tuoheng.admin.entity.request.warning;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 查询预警列表请求实体
 * @author: qiujinyang
 */
@Data
public class QueryWarningListRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户Id", hidden = true)
    private Integer tenantId;


    @ApiModelProperty(value = "对应任务的应急类型： 0：巡检任务应急记录 1：应急任务应急记录")
    private Integer flag;

    @ApiModelProperty(value = "预警状态: 0:全部；1：待确认；2：确认；3：忽略；")
    private Integer status;
}
