package com.tuoheng.admin.entity.request.warningrecord;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 查询预警记录列表请求实体
 *
 * @author: qiujinyang
 */
@Data
public class QueryWarningRecordListByWarningIdRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户Id", hidden = true)
    private Integer tenantId;

    @ApiModelProperty(value = "预警Id", hidden = true)
    private Integer warningId;

}
