package com.tuoheng.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @User qiujinyang
 * @Description
 * @Date Created by 2022/7/28 13:31
 */
@NoArgsConstructor
@Data
public class AirLineVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "任务id")
    private Integer id;

    @ApiModelProperty(value = "任务编号")
    private String code;

    @ApiModelProperty(value = "任务名称")
    private String name;

    @ApiModelProperty(value = "无人机id")
    private Integer droneId;

    @ApiModelProperty(value = "无人机名称")
    private String droneName;

    @ApiModelProperty(value = "无人机直播播流地址")
    private String liveUrl;

    @ApiModelProperty(value = "航线id")
    private Integer airlineFileId;

    @ApiModelProperty(value = "航线名称")
    private String airlineFileName;

    @ApiModelProperty(value = "航线文件地址路径")
    private String airlineFileUrl;

    @ApiModelProperty(value = "执行类型，1单次2每天")
    private Integer type;

    @ApiModelProperty(value = "单次执行时间")
    private String singleTime;

    @ApiModelProperty(value = "每天执行时间")
    private Object everydayTime;

    @ApiModelProperty(value = "任务备注")
    private Object note;

    @ApiModelProperty(value = "任务状态1待执行 2执行中")
    private Integer status;

    @ApiModelProperty(value = "创建人",hidden = true)
    private Integer createUser;

    @ApiModelProperty(value = "创建时间",hidden = true)
    private String createTime;

    @ApiModelProperty(value = "修改用户",hidden = true)
    private Integer updateUser;

    @ApiModelProperty(value = "修改时间",hidden = true)
    private String updateTime;
}
