package com.tuoheng.admin.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @User qiujinyang
 * @Description
 * @Date Created by 2022/7/28 13:31
 */
@NoArgsConstructor
@Data
public class AirPortVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "机场id")
    private Integer id;

    @ApiModelProperty(value = "机场代码")
    private String code;

    @ApiModelProperty(value = "机场名称")
    private String name;

    @ApiModelProperty(value = "机场图片")
    private String image;

    @ApiModelProperty(value = "机场外部监控地址")
    private String externalMonitorUrl;

    @ApiModelProperty(value = "机场外部监控FLV地址")
    private String flvExternalMonitorUrl;

    @ApiModelProperty(value = "机场内部监控地址")
    private String internalMonitorUrl;

    @ApiModelProperty(value = "覆盖范围（km）")
    private String coverage;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "无人机id")
    private Integer droneId;

    @ApiModelProperty(value = "无人机名称")
    private String droneName;

    @ApiModelProperty(value = "设备id")
    private String edgeId;

    @ApiModelProperty(value = "创建人",hidden = true)
    private Integer createUser;

    @ApiModelProperty(value = "创建时间",hidden = true)
    private String createTime;

    @ApiModelProperty(value = "修改人",hidden = true)
    private Integer updateUser;

    @ApiModelProperty(value = "修改时间",hidden = true)
    private String updateTime;

    @ApiModelProperty(value = "状态: 1：空闲 2：飞行中" ,hidden = true)
    private Integer status;

    @ApiModelProperty(value = "是否在线：true：在线 false：离线", hidden = true)
    private Boolean online;

}
