package com.tuoheng.admin.entity.vo.index;

import lombok.Data;

@Data
public class DroneDataVo {

    /**
     * 任务ID
     */
    private Integer missionId;

    /**
     * 巡检ID，跟硬件对接的时候，硬件的巡检ID
     */
    private Integer inspectionId;

    /**
     * 地面站标识
     */
    private String hostIp;

    /**
     * 飞行高度
     */
    private String altitude;

    /**
     * 飞行速度
     */
    private String speed;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 飞行时间
     */
    private Long flyTime;

    /**
     * 距离机场距离（米）
     */
    private String distHome;

    /**
     * 遥测信号
     */
    private String ysingal;

    /**
     * 飞行模式
     */
    private String mode;
}
