package com.tuoheng.admin.common;

/**
 * 常量类
 *
 * @author: zhu_zishuang
 * @date: 2020-04-22 14:22
 */
public final class ServiceConstant {
    /**
     * 构造器私有化
     */
    private ServiceConstant() {
        // 可抛出异常，防止通过反射实例化对象
    }

    /**
     * 常用数值
     */
    public static final Integer ZERO = 0;
    public static final Integer ONE = 1;
    public static final Integer TWO = 2;
    public static final Integer DELETE = 0;
    public static final Integer NOT_DELETE = 1;
    public static final Integer STATUS_25 = 25;
    public static final Integer STATUS_15 = 15;


}
