package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡检问题工单子表映射实体
 *
 * @author WangHaoran
 * @date 2022/12/27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_work_order_question")
public class WorkOrderQuestion extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer tenantId;

    /**
     * 巡检问题工单ID
     */
    private Integer workOrderId;

    /**
     * 巡检问题文件ID
     */
    private Integer questionId;

    /**
     * 处理状态：0待处理 1已处理
     */
    private Integer status;

}
