package com.tuoheng.admin.entity.dto.index;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author chenjiandong
 * @description: TODO
 * @date 2022/12/27 17:55
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class QuestionListDto {

    private Integer questionId;

    private String missionId;

    /**
     * 任务名称
     */
    private String missionName;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    private String type;

    /**
     * 问题类型
     */
    private String typeName;

    /**
     * 巡检时间
     */
    private String inspectionTime;

    /**
     * 问题图片
     */
    private String fileMarkerUrl;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 多张处理图片，","相隔
     */
    private String handlerImage;

    private Integer handlerUserId;

    private String handlerUserName;

    private String handlerTime;

}
