package com.tuoheng.admin.entity.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.common.BaseQuery;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/2/7
 */
@Data
public class WarningQuery extends BaseQuery {

    /**
     * 租户id
     */
    private Integer tenantId;

    /**
     * 发现方式
     */
    private Integer discoveryWay;

    /**
     * 预警状态 1待确认 2确认 3忽略
     */
    private Integer status;

    /**
     * 起始日期
     */
    private String startTime;

    /**
     * 结束日期
     */
    private String endTime;

    /**
     * 起始日期
     */
    private Date waringStartTime;

    /**
     * 结束日期
     */
    private Date waringEndTime;




}
