package com.tuoheng.admin.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.common.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * 报告查询
 *
 * @author qiujinyang
 * @since 2022-08-04
 */
@Data
public class ReportRequest extends BaseQuery implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告编号
     */
    private String reportNo;

    /**
     * 任务名称
     */
    private String name;


    /**
     * 巡检机场
     */
    private String airportId;


    /**
     * 任务类型 1 日常，2 应急巡检
     */
    private Integer type;

}
