package com.tuoheng.admin.entity.request.camera;

import com.tuoheng.common.common.BaseQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 查询摄像头列表任务请求实体
 *
 * @author: qiujinyang
 */
@Data
public class QueryCameraListRequest extends BaseQuery implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户Id", hidden = true)
    private Integer tenantId;

    @ApiModelProperty(value = "摄像头名称", hidden = true)
    private String cameraName;

}
