package com.tuoheng.admin.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 机场状态视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-07
 */
@NoArgsConstructor
@Data
public class AirPortStatusVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "机场id")
    private Integer airportId;

    @ApiModelProperty(value = "机场名称")
    private String airportName;

    @ApiModelProperty(value = "状态")
    private String msg;


}
