package com.tuoheng.admin.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 报告信息Vo
 */
@Data
public class ReportInfoVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "报告编号")
    private String reportNo;

    @ApiModelProperty(value = "任务ID")
    private Integer missionId;

    @ApiModelProperty(value = "林场信息")
    private String company;

    @ApiModelProperty(value = "林场名称")
    private String lcName;

    @ApiModelProperty(value = "气象信息")
    private String airWeather;

    @ApiModelProperty(value = "任务信息")
    private MissionVO mission;

    @ApiModelProperty(value = "巡检结果")
    private List<QuestionTypeCountVO> questionTypeInfo;

    @ApiModelProperty(value = "问题数量")
    private Integer questionCount;

    @ApiModelProperty(value = "问题清单")
    private List<QuestionReportVO> questionReportList;
}
