package com.tuoheng.admin.entity.vo.warning;

import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 预警记录对象 th_warning_record
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class WarningRecordVo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 预警ID
     */
    private Integer warningId;

    /**
     * 记录名称
     */
    private String name;

    /**
     * 任务ID
     */
    private Integer missionId;

    /**
     * 应急任务ID
     */
    private Integer emergencyMissionId;

    /**
     * 任务状态：1任务待飞行 2任务飞行中 3任务执行失败 4任务飞行完成
     */
    private Integer status;

}
