package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.domain.Question;
import com.tuoheng.admin.entity.dto.index.QuestionListDto;
import com.tuoheng.admin.entity.request.index.GetQuestionListDto;
import com.tuoheng.admin.entity.vo.QuestionCountVO;
import com.tuoheng.admin.entity.vo.QuestionTypeCountVO;

import java.util.List;

/**
 * 巡检问题表 Mapper 接口
 *
 * @author qiujinyang
 * @since 2022-08-03
 */
public interface QuestionMapper extends BaseMapper<Question> {

    List<QuestionCountVO> analyze(Integer missionId, Integer tenantId);

    List<QuestionTypeCountVO> analyzeType(Integer missionId, Integer tenantId);

    List<QuestionListDto> getIndexQuestion(GetQuestionListDto getQuestionListDto);

}
