package com.tuoheng.admin.task;

import com.tuoheng.admin.service.IMissionService;
import com.tuoheng.admin.service.impl.MissionServiceImpl;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时扫描，然后飞行
 */
@Component
public class ExecuteTaskTask {

    private final static Logger LOGGER = LoggerFactory.getLogger(ExecuteTaskTask.class);

    @Autowired
    private IMissionService inspectionService;

    @Autowired
    private MissionServiceImpl inspectionServiceImpl;


    /**
     * 定时飞行巡检任务，如果有问题，重置为飞行失败
     */
    @XxlJob("checkAIAnalysisStatus")
    public void checkAIAnalysisStatus() {
        //定时飞行
    }
}
