package com.tuoheng.generator.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tuoheng.generator.entity.GenTableColumn;

import java.util.List;

/**
 * <p>
 * 代码生成业务表字段 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2020-11-06
 */
public interface IGenTableColumnService extends IService<GenTableColumn> {

    /**
     * 查询表字段信息
     *
     * @param tableId 表ID
     * @return
     */
    List<GenTableColumn> selectGenTableColumnListByTableId(Integer tableId);

}
